// Configuration

#ifndef __MODULECONFIG_H__
#define __MODULECONFIG_H__

// Module info
#define MODULE_NAME "module example"
#define MODULE_VERSION "1.0"
#define MODULE_AUTHOR "joaquimandrade"
#define MODULE_LOGTAG "RAGE MODULE"
#define MODULE_LIBRARY "rage module"
#define MODULE_LIBCLASS ""
#define MODULE_URL ""

// Configure the relationship of your module with metamod in the following included file
// This means, choosing the hooks you want to receive from it or not using metamod at all
#include <metamod_config.h>

// Configure the relationship of your module with amxx in the following included file
// This means, choosing the hooks you want to receive from it and to choose the functions you want to use from it or not using amxx at all
#include <amxx_config.h>

#ifdef __DATE__
#define MODULE_DATE __DATE__
#else // __DATE__
#define MODULE_DATE "Unknown"
#endif // __DATE__

// use memory manager/tester?
// note that if you use this, you cannot construct/allocate 
// anything before the module attached (OnAmxxAttach).
// be careful of default constructors using new/malloc!
// #define MEMORY_TEST

// Unless you use STL or exceptions, keep this commented.
// It allows you to compile without libstdc++.so as a dependency
// #define NO_ALLOC_OVERRIDES

// Uncomment this if you are using MSVC8 or greater and want to fix some of the compatibility issues yourself 
// #define NO_MSVC8_AUTO_COMPAT

#endif // __MODULECONFIG_H__

